[arch-commits] Commit in eclipse-ecj/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri May 30 08:31:34 EDT 2008


    Date: Friday, May 30, 2008 @ 08:31:34
  Author: jgc
Revision: 2271

Merged revisions 2-2270 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/eclipse-ecj/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r2218 | jgc | 2008-05-29 17:00:59 +0200 (Thu, 29 May 2008) | 2 lines
  
  Update to 3.3.2, use gjar instead of fastjar to reduce makedepends
........
  r2263 | jgc | 2008-05-30 09:34:38 +0200 (Fri, 30 May 2008) | 3 lines
  
  upgpkg: eclipse-ecj 3.3.2-1
      Use install instead of mkdir
  Remove unzip makedepend, bsdtar can unzip also
........

Modified:
  eclipse-ecj/repos/extra-i686/	(properties)
  eclipse-ecj/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)


Property changes on: eclipse-ecj/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /eclipse-ecj/trunk:1
   + /eclipse-ecj/trunk:1-2270

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-05-30 12:13:01 UTC (rev 2270)
+++ extra-i686/PKGBUILD	2008-05-30 12:31:34 UTC (rev 2271)
@@ -2,19 +2,19 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=eclipse-ecj
-pkgver=3.3.1.1
+pkgver=3.3.2
 pkgrel=1
-_date=200710231652
+_date=200802211800
 pkgdesc="Eclipse java bytecode compiler"
 arch=('i686' 'x86_64')
 license=('EPL')
 url="http://www.eclipse.org/"
 depends=('gcc-gcj')
-makedepends=('unzip' 'fastjar' 'apache-ant')
+makedepends=('apache-ant')
 source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/ecjsrc.zip
 	ecj
         ecj-gccmain.diff)
-md5sums=('b3752ab100367bff4fb21467f73a7c8d'
+md5sums=('c1d89b9de8170fc91e30c3a02002244f'
          '935d1faaeab4315f82a79a032a41a80a'
          '2cc746a12da0978aef2ae504a208fd6f')
 
@@ -32,7 +32,7 @@
   find build/bin -name '*.html' -delete || return 1
 
   mkdir -p build/bootstrap
-  fastjar -c -C build/bin . -f build/bootstrap/eclipse-ecj.jar || return 1
+  gjar -c -C build/bin org -f build/bootstrap/eclipse-ecj.jar || return 1
 
   rm -rf build/bin
   mkdir build/bin
@@ -40,16 +40,16 @@
 
   gij -classpath build/bootstrap/eclipse-ecj.jar:/usr/lib/ant.jar \
       org.eclipse.jdt.internal.compiler.batch.Main \
-      -bootclasspath /usr/share/java/libgcj-4.2.jar build/bin || return 1
+      -bootclasspath /usr/share/java/libgcj-4.3.jar build/bin || return 1
 
   find build/bin -name '*.java' -delete || return 1
   find build/bin -name '*.html' -delete || return 1
 
   mkdir -p build/dist
-  fastjar -c -C build/bin . -f build/dist/eclipse-ecj.jar || return 1
+  gjar -c -C build/bin org -f build/dist/eclipse-ecj.jar || return 1
 
-  mkdir -p ${startdir}/pkg/usr/share/java
-  mkdir -p ${startdir}/pkg/usr/bin
+  install -m755 -d ${startdir}/pkg/usr/share/java
+  install -m755 -d ${startdir}/pkg/usr/bin
   install -m644 build/dist/eclipse-ecj.jar ${startdir}/pkg/usr/share/java/ || return 1
   install -m755 ecj ${startdir}/pkg/usr/bin/ || return 1
 }





More information about the arch-commits mailing list